/* Font Declarations */

@font-face{
    font-family: "bentonextraBold";
    src: url(../assets/fonts/BentonSansExtraComp-Bold.otf);
}
@font-face{
    font-family: "chronicleBold";
    src: url(../assets/fonts/chronicledisplayblack.ttf);
}
@font-face{
    font-family: "chronicleRoman";
    src: url(../assets/fonts/chronicledisplayroman.ttf);
}
@font-face{
    font-family: "bentonBold";
    src: url(../assets/fonts/BentonSansComp-Bold.otf);
}
@font-face{
    font-family: "bentonBook";
    src: url(../assets/fonts/BentonSansComp-Book.otf);
}

header, .main-nav-mod {
    display: none !important; }
  
@media (min-width: 1260px) {
    #content {
        margin: 0px !important;
        max-width: none !important;
    }
}

#content {
    margin: 0px !important;
}

/* Universal Declarations */

body{
    font-family: chronicleRoman;
    background-color: #1e1e1e;
    margin: 0 auto;
    color: white;
    overflow-x: hidden;
}
h1{
    margin: 0px;
    padding: 0px;
}
h3{
    margin: 0px;
    padding: 0px;
}
p{
    font-size: 1.3rem;
    margin-top: 1rem;
    margin-bottom: 1rem;
}
.paragraph{
    width: 950px;
}
.introparagraph{
    color: black;
    font-size: 1.5em;
    text-align: center;
    margin: 0 auto;
    margin-bottom: 70px;
    margin-top: -4px;

}

img:hover{
    filter: drop-shadow(0 0 0.25rem grey);
}

/*
.introparagraph:first-of-type:first-letter {
    float: left;
    font-size: 30px;
    line-height: 1;
    font-weight: bold;
    margin-right: 9px;
    font-family: bentonBold;
    background-color: #d71b1a;
    padding: 10px;
    color: white;
}
*/
/* Hero */
.dologo{
    margin-bottom: 10px;
}

.dologo img{
    width: 50px;
    padding: 5px;
}
.dologobottom img{
    width: 50px;
}
.hero{
    /* Dimensions */
    height: 100vh;
    width: 100vw;

    /* Flex */
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: left;

    /* Background Styles */
    background-color: #FFFFFF;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat; 
}

/* Branded Elements */
.branding{
    font-family: bentonextraBold;
    background-color: #d71b1a;
    color: white;
    text-align: center;
    padding: 20px 20px 15px 20px;
    text-transform: uppercase;
    line-height: 35px;
    margin: 0px;
}
.topBrand{
    font-size: 35px;
    letter-spacing: 1px;
}
.bottomBrand{
    font-size: 53px;
    letter-spacing: 1px;
}
.title{
    margin-top: 40px;
    font-size: 90px;
    color: black;
    font-family: bentonBook; 
}
.emphasis{
    font-family: bentonBold;
    color: #d71b1a;
}
.credit{
    color: black;
    font-weight: 900;
    text-align: center;
}
.photoCredit{
    font-weight: 100;
    font-style: italic;
}
.introCredit{
    color: black;
    font-size: 1.5em;
}


/* Horizontal Gallery */

.container{
    width: 950px;
    margin: 0 auto;
}

#galleryHorizontal{
    margin: 50px 0px;
}

#galleryHorizontal img{
    max-width: 100%;
}

/* Vertical Gallery */
#galleryVertical{
    margin: 50px 0px;
}
#galleryVertical img{
    max-width: 100%;
}

/* Content Break */

h5{
    color: white;
    padding: 30px 0px 0px 0px;
    margin: 0px;
    font-size: 1.4em;
    font-style: italic;
    text-align: center;
}

/* Interactive Horizontal Images */
#interactiveHorizontal{
    display: flex;
}
#interactiveHorizontal img{
    padding-right: 20px;
    display: block;
}

#rightGallery{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#rightGallery img{
    padding-right:0px;
    filter: grayscale(50%);
    transition: .5s;
}

#rightGallery img:hover{
    filter: grayscale(0%);
}
.galleryparagraph{
    margin-bottom: 50px;
}

/* Photographers */

.photographers{
    color: white;
    text-align: center;
    padding: 20px;
    margin-top: 50px;
}

/* Image Metadata */

.imageMetadata{
    display: flex;
    color: white;
    justify-content: space-between;
    font-size: .9em;
}

h4{
    margin: 5px 0px 0px 0px;
}
.addCaption{
    width: 600px;
    font-size: 1.5em;
    font-family: "bentonBold";
    
}

.addCredit{
    font-family: "bentonBook";
}

/* Photographer Credits */
.photographers{
    background-color: #d71b1a;
    font-family: "bentonBook";
}
.credit{
    font-family: "bentonBold";
    color: white;
}

/* Flex Gallery */

#twofoldGallery{
    margin: 50px 0px 0px 0px;
}
.galleryFlex{
    display: flex;
    justify-content: space-between;
}
.flexboxtext{
    padding-right: 20px;
}

.addCaptionflex{
    font-size: 1.3em;
    font-family: "bentonBold";
}
.addCreditflex{
    font-size: .9em;
    font-family: "bentonBook";
}
.flexMetadatasmall{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.name{
    font-family: "bentonBold";
}

/* Responsive Declarations */

@media all and (max-width: 950px){
    /* Branding */
    .paragraph{
        width: 100%;   
    }
    p{
        padding: 10px 20px;
    }
    .title{
        font-size: 70px;
        justify-content: center;
        text-align: center;
        margin-top: 20px;
    }
    .credit{
        font-size: 15px;
    }
    p{
        margin: 0px;
    }
    
    #galleryHorizontal img{
        max-width: 100%;
    }
    h5{
        margin-bottom: 50px;
    }

    /* Horizontal Gallery */
    .container{
        width: 100%;
    }
    
    .imageMetadata{
        padding: 0px 20px;
    }
    /*InteractiveGallery*/
    #interactiveHorizontal{
    display: flex;
    flex-wrap: wrap;
    }
    .container img{
        width: 100%;
    }
    #interactiveHorizontal img{
        max-width: 100%;
        height: auto;
        padding-right: 0px;
        width: 100vw;
        object-fit: cover;
    }
    .flexMetadatasmall{
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    #rightGallery{
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }

    #rightGallery{
        width: 100%;
        height: 100%;
    }
    /* Flex Gallery */
    .galleryFlex{
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }
    .addCaptionflex{
        width: 100%;
        padding: 0px 20px;
        font-size: 1.3em;
    }
    .addCreditflex{
        width: 100%;
        padding: 0px 20px;
        text-align: left;
        font-size: .9em;
    }
    .flexboxtext{
        padding: 10px 20px;
    }

    .leftHorizontal img{
        margin-top: 50px;
    }
    .rightHorizontal img{
        margin-top: 50px;
    }
    #twofoldGallery{
        margin: 0px;
    }
    #twofoldGallery{
        margin: -50px 0px 0px 0px;
    }

}
@media all and (max-width: 600px){
    .title{
        font-size: 50px;
        justify-content: center;
        text-align: center;
        margin-top: 15px;
    }
    .flexMetadatasmall{
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .imageMetadata{
        display: flex;
        color: white;
        justify-content: center;
        flex-direction: column;
        font-size: .9em;
        padding: 0px 20px;
        text-align: left;
    }
    
    h4{
        margin: 5px 0px 0px 0px;
    }
    .addCaption{
        width: 100%;
    }
    .addCredit{
        font-style: normal;
    }
    .addCreditflex{
        width: 100%;

        text-align: left;
        font-size: .9em;
    }
    .dologo{
        margin-bottom: 10px;
    }
    
}
@media all and (max-width: 340px){

.topBrand{
    font-size: 35px;
    letter-spacing: 1px;
}
.bottomBrand{
    font-size: 53px;
    letter-spacing: 1px;
}
.title{
    margin-top: 40px;
    font-size: 35px;
    color: black;
    font-family: bentonBook; 
}
.emphasis{
    font-family: bentonBold;
    color: #d71b1a;
}
.credit{
    color: black;
    font-weight: 900;
    text-align: center;
}
.photoCredit{
    font-weight: 100;
    font-style: italic;
}
.introCredit{
    color: black;
}
.introparagraph{
    font-size: .9em;
}
.paragraph{
    font-size: .9em;
}

}